PunBB Private messaging扩展message_id参数SQL注入漏洞

受影响系统:

PunBB Private messaging 1.2.6

不受影响系统:

PunBB Private messaging 1.2.6.1

描述:


PunBB是一款基于PHP的论坛程序。

当section设置为pun_pm且pmpage设置为write的时候,PunBB的Private messaging扩展没有正确地过滤提交给misc.php的message_id参数便在extensions/pun_pm/functions.php的SQL查询中使用,这可能导致SQL注入攻击。

<*来源:WaRWolFz Crew
        Dante90 (dante90.dmc4@hotmail.it
  
  链接:http://secunia.com/advisories/40721/
*>

建议:


厂商补丁:

PunBB
—–
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://punbb.informer.com/trac/changeset/1275/additions/punbb-1.3/extensions/pun_pm/functions.php